Bug 448606 - Review Request: subtitleeditor - GTK+2 tool to edit subtitles for GNU/Linux/*BSD
Review Request: subtitleeditor - GTK+2 tool to edit subtitles for GNU/Linux/*BSD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 15:59 EDT by Martin Sourada
Modified: 2008-07-26 02:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-31 08:13:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2008-05-27 15:59:12 EDT
Spec URL: http://mso.fedorapeople.org/packages/SPECS/subtitleeditor.spec
SRPM URL: http://mso.fedorapeople.org/packages/SRPMS/subtitleeditor-0.21.1-1.fc9.src.rpm
Description: Subtitle Editor is a GTK+2 tool to edit subtitles for GNU/Linux/*BSD. It can be 
used for new subtitles or as a tool to transform, edit, correct and refine 
existing subtitle. This program also shows sound waves, which makes it easier 
to synchronise subtitles to voices.
Comment 1 Brian Pepple 2008-05-27 16:41:12 EDT
Couple of quick notes:
1. Your gtk icon cache scriptlets don't follow the guidelines.  Refer to:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GTK.2B_icon_cache
2. Looks like the configure file requires a run time gstreamer plugin to build.
 Refer to: http://koji.fedoraproject.org/koji/getfile?taskID=631159&name=build.log
Comment 2 Martin Sourada 2008-05-27 17:21:21 EDT
(In reply to comment #1)
> Couple of quick notes:
> 1. Your gtk icon cache scriptlets don't follow the guidelines.  Refer to:
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GTK.2B_icon_cache
Aah, didn't noticed there was such a guideline (it wasn't around about a year
ago or so, was it?). Fixed.

> 2. Looks like the configure file requires a run time gstreamer plugin to build.
>  Refer to: http://koji.fedoraproject.org/koji/getfile?taskID=631159&name=build.log
Yup, it needs gstreamer-plugins-good. I overlooked it bacause it needs only the
runtime package...

SPEC: http://mso.fedorapeople.org/packages/SPECS/subtitleeditor.spec
SRPM: http://mso.fedorapeople.org/packages/SRPMS/subtitleeditor-0.21.1-2.fc9.src.rpm
Comment 3 Brian Pepple 2008-05-27 21:48:14 EDT
MD5Sum:
1cd4433c3ccdbc770fa4c91b1e95697a  subtitleeditor-0.21.1.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Rpmlint does not find problems
* Package installs and uninstalls cleanly

Minor (non-blocker):
* Might want to consider building w/ unit testing.

+1 APPROVED.
Comment 4 Martin Sourada 2008-05-28 03:31:56 EDT
(In reply to comment #3)
> Minor (non-blocker):
> * Might want to consider building w/ unit testing.
Done.

SPEC: http://mso.fedorapeople.org/packages/SPECS/subtitleeditor.spec
SRPM: http://mso.fedorapeople.org/packages/SRPMS/subtitleeditor-0.21.1-3.fc9.src.rpm
Comment 5 Martin Sourada 2008-05-28 03:35:01 EDT
New Package CVS Request
=======================
Package Name: subtitleeditor
Short Description: GTK+2 tool to edit subtitles for GNU/Linux/*BSD
Owners: mso
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-05-30 16:21:01 EDT
cvs done.
Comment 7 Fedora Update System 2008-05-31 08:01:04 EDT
subtitleeditor-0.21.1-3.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-05-31 08:02:31 EDT
subtitleeditor-0.21.1-3.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-06-12 22:19:41 EDT
subtitleeditor-0.21.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-06-12 22:21:14 EDT
subtitleeditor-0.21.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-07-26 02:10:44 EDT
subtitleeditor-0.21.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.